Skip to main content
GET
Get

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-16.lassen"

Path Parameters

upload_collection_id
string
required

The unique identifier of the upload collection.

Example:

"upl_col_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the upload collection resource.

Available options:
created_by,
archived_by
Example:

Response

200 - application/json

Successfully retrieved the upload collection.

object
enum<string>
required

The object type, which is always upload_collection.

Available options:
upload_collection
Example:

"upload_collection"

id
string
required

ID of the upload collection.

Example:

"upl_col_123"

name
string
required

Name of the upload collection.

Example:

"Robot Logs"

slug
string
required

An immutable, code-friendly name for the upload collection.

Example:

"robot-logs"

created_at
string<date-time>
required

Timestamp of when the upload collection was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the upload collection was last updated.

Example:

"2021-01-01T00:00:00Z"

created_by_id
string
required

ID of the principal who created the upload collection.

Example:

"usr_123"

archived_at
string<date-time> | null
required

Timestamp of when the upload collection was archived. Null if the upload collection is not archived.

Example:

"2021-01-01T00:00:00Z"

archived_by_id
string | null
required

ID of the principal who archived the upload collection. Null if the upload collection is not archived or was archived before this field was recorded.

Example:

"usr_123"

created_by
Principal · object

The principal who created the upload collection. Expand using expand=created_by in the query string.

Example:
archived_by
Principal · object | null

The principal who archived the upload collection. Null if archived_by_id is null. Expand using expand=archived_by in the query string.

Example: